Latest UiPath System/UiAutomation activities Issues

Hi,

Just want to confirm if it’s just me or not. I updated the project packages of System and UiAutomation to latest version (22.4.4 for UiAutomation and 22.4.2 for System).

Upon updating the packages. I can’t use some of the classic activates anymore in existing project. it’s unable to capture the correct selector.

My current studio version is 2021.10.4

Thank You

@phyomt , This might be because of the Default Behaviour of the Studio to Enable Modern Design for New Projects.

However, we should be able to bring out the Classic Activities using the Filter Option in Activities Panel :
image

1 Like

Hi @supermanPunch ,

I already enabled everything same as snapshot provided.

Just that some of the existing classic activites Selector won’t work anymore with new version. Even after Revalidation of the activities. unsure if i need to update browser extension as well or not.

@phyomt , Could you explain as to what is not working ? If it is not being validated, Can you take a Copy of the Current Selector and Indicate the Element again and Check the Differences between the Previous and the Current Selector ?

I am using both classic and modern activates in project.

Let’s say If I want to indicate element using Classic activity. it’s capturing as Modern in Ui Explore causing it to fail.

image

Hope it make sense.

Another example would be if i downgrade the activities from 22.4.4 to 21.10.4 .

The project will give an error for some of the UI modern activites as invalid.

I also found out the new version is not backward compatibility, unlike the previous version where I can downgrade anytime and still be able to use the activities not anymore with the new version.

Hi @loginerror, could you please confirm if it’s intended to do this way?

Thanks

Any chance it could relate to this recent change?

It was always like that. Basically, new package versions know the history and can keep things compatible, and old package versions have no idea how to interpret new things from the future.

Hi @loginerror

We are still using version 21.10.4 for our chrome extension . So it could be why some of the selector are not working anymore with older package version.

Before even if we downgrade the packages version we are still able to use the activities at least until version 2021.10 packages.

I will discuss together with technical support for this issue as well. Thank You

1 Like